xcb_xv_query_adaptors(3)

NAME
xcb_xv_query_adaptors -

SYNOPSIS
#include <xcb/xv.h>

  Request function

xcb_xv_query_adaptors_cookie_t xcb_xv_query_adaptors(xcb_connection_t *conn, xcb_window_t window);

  Reply datastructure

typedef struct xcb_xv_query_adaptors_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint16_t num_adaptors;
    uint8_t  pad1[22];
} xcb_xv_query_adaptors_reply_t;

  Reply function

xcb_xv_query_adaptors_reply_t *xcb_xv_query_adaptors_reply(xcb_connection_t *conn, xcb_xv_query_adaptors_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

int xcb_xv_query_adaptors_info_length(const xcb_xv_query_adaptors_reply_t *reply);

xcb_xv_adaptor_info_iterator_t xcb_xv_query_adaptors_info_iterator(const xcb_xv_query_adaptors_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XV_QUERY_ADAPTORS. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

num_adaptors
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xv_query_adaptors_cookie_t. Errors have to be handled when calling the reply function xcb_xv_query_adaptors_reply. If you want to handle errors in the event loop instead, use xcb_xv_query_adaptors_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xv.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.